Subject: bug#61478: 28.2; eglot keeps sending `didSave` notifications despite the active server not supporting `textDocumentSync`

From: João Távora <[email-masked]>
Date: Tue, 14 Feb 2023 14:12:23 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: João Távora <[email-masked]>
>> Date: Tue, 14 Feb 2023 12:57:35 +0000
>> Cc: [email-masked], Felician Nemeth <[email-masked]>, [email-masked]
>> 
>>  ENOPATCH
>> 
>>  Probably no need for copyright assignment, but I need to see the
>>  changes.
>> 
>> I don't understand, i see a didSave.patch file attached to to kby's mail to this bug. That's the (trivial) patch I'm
>> referring to. Can't you see it, Eli?
>
> You mean, the one here:
>
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61478#17
>
> ?  I received this message after receiving and answering yours.

Odd, as the one you got earlier was a reply to the one you got later. An
EOUTOFORDER somewhere (probably due to moderation?)

> If that is the patch, it is OK, but please remember a proper commit
> log message, which mentions the bug number and includes the
> Copyright-paperwork-exempt thingy.

Yep, I'll provide that.  It's 'Copyright-paperwork-exempt: Yes' in its
own line, I think.

Regarding the "kby <[email-masked]>" author.  Kby is there any better
name?  Eli, are these obscure names OK as well?

João